<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="12dp">

    <TextView
        android:id="@+id/text_version"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/demo_widget_margin"
        android:textColor="@android:color/holo_red_dark"
        tools:text="@string/demo_fmt_version" />

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            style="@style/Demo.Btn.Style"
            android:onClick="onRechargeBtnClicked"
            android:text="@string/demo_action_pay" />

        <Button
            style="@style/Demo.Btn.Style"
            android:onClick="onCommodityBtnClicked"
            android:text="@string/demo_action_check_product" />

    </TableRow>

    <TableRow
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            style="@style/Demo.Btn.Style"
            android:onClick="onUpgradeBtnClicked"
            android:text="@string/demo_action_update_apk" />

        <Button
            style="@style/Demo.Btn.Style"
            android:onClick="onGiftCheckBtnClicked"
            android:text="@string/demo_action_check_gift" />
    </TableRow>
</LinearLayout>